## org.eclipse.jst.jsf.context.symbol.source
Interface ISymbolSourceProvider

    public interface ISymbolSourceProvider

Defines a provider that acts as source of symbols. The implementor is usually context specific

Provisional API - subject to change

Method Summary
`ISymbol[]` `getSymbols(IAdaptable context, int symbolScopeMask)`
`ISymbol[]` `getSymbols(java.lang.String prefix, IAdaptable context, int symbolScopeMask)`
`boolean` `isProvider(IAdaptable context)`

Method Detail

### getSymbols

    ISymbol[] getSymbols(IAdaptable context,
                         int symbolScopeMask)

  Parameters:
    `context` -
    `symbolScopeMask` - - a mask resulting for ORing the SYMBOL_SCOPE_* constants to indicate what scopes to retrieve symbols for.
  Returns:
    all symbols in context matching symbolScopeMask

### getSymbols

    ISymbol[] getSymbols(java.lang.String prefix,
                         IAdaptable context,
                         int symbolScopeMask)

  Parameters:
    `prefix` -
    `context` -
    `symbolScopeMask` - a mask resulting for ORing the SYMBOL_SCOPE_*
  Returns:
    the sub-set of getSymbols that conforms to String.startsWith(prefix) in context matching symbolScopeMask.

### isProvider

    boolean isProvider(IAdaptable context)

  Parameters:
    `context` -
  Returns:
    true if this provider has symbols for this context